# QVM: Quaternions, Vectors, Matrices

### operator*(quat,vec)

#include <boost/qvm/quat_vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<A>::value &&
            //  is_vec<B>::value && vec_traits<B>::dim==3
            template <class A,class B>
            typename deduce_vec2<A,B,3>::type
            operator*( A const & a, B const & b );
        }
    }

#### Returns:

The result of rotating the vector b by the quaternion a.

See also: boost/qvm/quat_vec_operations.hpp